import 'package:flutter/material.dart';
import 'package:imagini/screens/settings/components/body.dart';
import 'package:imagini/screens/settings/settings-bloc.dart';
import 'package:imagini/bloc/bloc-prov.dart';
import 'package:flutter_platform_widgets/flutter_platform_widgets.dart';


class SettingsScreen extends StatefulWidget {
  @override
  _SettingsScreenState createState() => _SettingsScreenState();
}

class _SettingsScreenState extends State<SettingsScreen> {
  SettingsBloc exampleBloc;

  @override
  void initState() {
    super.initState();
    exampleBloc = SettingsBloc();
  }

  @override
  void dispose() {
    exampleBloc.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return BlocProvider(
      bloc: exampleBloc,
      child: PlatformScaffold(
        appBar: PlatformAppBar(
          title: Text('Settings'),
          cupertino: (_, __) => CupertinoNavigationBarData(
            // Issue with cupertino where a bar with no transparency
            // will push the list down. Adding some alpha value fixes it (in a hacky way)
            backgroundColor: Colors.lightGreen.withAlpha(254),
          ),
        ),
        body: Body(),
      ),
    );
  }
}
